---
title: List DEX test analytics
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zero Trust](https://developers.cloudflare.com/api/python/resources/zero_trust)

[DEX](https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/dex)

[Tests](https://developers.cloudflare.com/api/python/resources/zero_trust/subresources/dex/subresources/tests)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List DEX test analytics

zero\_trust.dex.tests.list(TestListParams\*\*kwargs) -> SyncV4PagePagination\[Optional\[Tests]]

GET/accounts/{account\_id}/dex/tests/overview

List DEX tests with overview metrics.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

<details>

<summary>User Service Key</summary>



Used when interacting with the Origin CA certificates API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/ca-keys/#viewchange-your-origin-ca-keys">View/change your key</a>.

**Example:**<code>X-Auth-User-Service-Key: v1.0-144c9defac04969c7bfad8ef-631a41d003a32d25fe878081ef365c49503f7fada600da935e2851a1c7326084b85cbf6429c4b859de8475731dc92a9c329631e6d59e6c73da7b198497172b4cefe071d90d0f5d2719</code>

</details>

##### Accepted Permissions (at least one required)

`Cloudflare DEX Write``Cloudflare DEX Read``Zero Trust Report``Zero Trust Read`

##### ParametersExpand Collapse

account\_id: str

Unique identifier linked to an account.

maxLength32

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

colo: Optional\[str]

Optionally filter result stats to a Cloudflare colo. Cannot be used in combination with deviceId param.

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20colo%20%3E%20(schema)>)

device\_id: Optional\[Sequence\[str]]

Optionally filter result stats to a specific device(s). Cannot be used in combination with colo param.

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20deviceId%20%3E%20(schema)>)

<details>

<summary>

kind: Optional\[Literal\["http", "traceroute"]]

Filter by test type.

</summary>

One of the following:

"http"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20kind%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"traceroute"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20kind%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20kind%20%3E%20(schema)>)

page: Optional\[float]

Page number of paginated results

minimum1

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page%20%3E%20(schema)>)

per\_page: Optional\[float]

Number of items per page

maximum50

minimum1

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

registration\_id: Optional\[str]

Optionally filter results to a specific device registration. Must be used in combination with a single deviceId.

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20registration_id%20%3E%20(schema)>)

test\_name: Optional\[str]

Optionally filter results by test name.

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20testName%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Tests: …

</summary>

<details>

<summary>

overview\_metrics: OverviewMetrics

</summary>

tests\_total: int

number of tests.

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20overviewMetrics%20%3E%20(property)%20testsTotal">Link to this property</a>

avg\_http\_availability\_pct: Optional\[float]

percentage availability for all HTTP test results in response.

formatfloat

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20overviewMetrics%20%3E%20(property)%20avgHttpAvailabilityPct">Link to this property</a>

avg\_traceroute\_availability\_pct: Optional\[float]

percentage availability for all traceroutes results in response.

formatfloat

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20overviewMetrics%20%3E%20(property)%20avgTracerouteAvailabilityPct">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20overviewMetrics">Link to this property</a>

<details>

<summary>

tests: List\[Test]

array of test results objects.

</summary>

id: str

API Resource UUID tag.

maxLength36

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

created: str

date the test was created.

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20created">Link to this property</a>

description: str

the test description defined during configuration

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

enabled: bool

if true, then the test will run on targeted devices. Else, the test will not run.

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20enabled">Link to this property</a>

host: str

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20host">Link to this property</a>

interval: str

The interval at which the synthetic application test is set to run.

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20interval">Link to this property</a>

<details>

<summary>

kind: Literal\["http", "traceroute"]

test type, http or traceroute

</summary>

One of the following:

"http"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20kind%20%3E%20(member)%200">Link to this property</a>

"traceroute"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20kind%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20kind">Link to this property</a>

name: str

name given to this test

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

updated: str

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20updated">Link to this property</a>

<details>

<summary>

http\_results: Optional\[TestHTTPResults]

</summary>

<details>

<summary>

resource\_fetch\_time: TestHTTPResultsResourceFetchTime

</summary>

<details>

<summary>

history: List\[TestHTTPResultsResourceFetchTimeHistory]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

delta\_pct: Optional\[float]

formatfloat

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20deltaPct">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20avgMs">Link to this property</a>

<details>

<summary>

over\_time: Optional\[TestHTTPResultsResourceFetchTimeOverTime]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod">Link to this property</a>

<details>

<summary>

values: List\[TestHTTPResultsResourceFetchTimeOverTimeValue]

</summary>

avg\_ms: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

timestamp: str

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20timestamp">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults%20%3E%20(property)%20resourceFetchTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResults">Link to this property</a>

<details>

<summary>

http\_results\_by\_colo: Optional\[List\[TestHTTPResultsByColo]]

</summary>

colo: str

Cloudflare colo

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20colo">Link to this property</a>

<details>

<summary>

resource\_fetch\_time: TestHTTPResultsByColoResourceFetchTime

</summary>

<details>

<summary>

history: List\[TestHTTPResultsByColoResourceFetchTimeHistory]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

delta\_pct: Optional\[float]

formatfloat

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20deltaPct">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20history">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20avgMs">Link to this property</a>

<details>

<summary>

over\_time: Optional\[TestHTTPResultsByColoResourceFetchTimeOverTime]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod">Link to this property</a>

<details>

<summary>

values: List\[TestHTTPResultsByColoResourceFetchTimeOverTimeValue]

</summary>

avg\_ms: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

timestamp: str

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20timestamp">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime%20%3E%20(property)%20overTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo%20%3E%20(items)%20%3E%20(property)%20resourceFetchTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20httpResultsByColo">Link to this property</a>

method: Optional\[str]

for HTTP, the method to use when running the test

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20method">Link to this property</a>

<details>

<summary>

target\_policies: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex%20%3E%20(model)%20digital_experience_monitor%20%3E%20(schema)">DigitalExperienceMonitor</a>]]

</summary>

id: str

API Resource UUID tag.

maxLength36

<a href="#(resource)%20zero_trust.dex%20%3E%20(model)%20digital_experience_monitor%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

default: bool

Whether the policy is the default for the account.

<a href="#(resource)%20zero_trust.dex%20%3E%20(model)%20digital_experience_monitor%20%3E%20(schema)%20%3E%20(property)%20default">Link to this property</a>

name: str

<a href="#(resource)%20zero_trust.dex%20%3E%20(model)%20digital_experience_monitor%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20target_policies">Link to this property</a>

targeted: Optional\[bool]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20targeted">Link to this property</a>

<details>

<summary>

traceroute\_results: Optional\[TestTracerouteResults]

</summary>

<details>

<summary>

round\_trip\_time: TestTracerouteResultsRoundTripTime

</summary>

<details>

<summary>

history: List\[TestTracerouteResultsRoundTripTimeHistory]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

delta\_pct: Optional\[float]

formatfloat

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20deltaPct">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20avgMs">Link to this property</a>

<details>

<summary>

over\_time: Optional\[TestTracerouteResultsRoundTripTimeOverTime]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod">Link to this property</a>

<details>

<summary>

values: List\[TestTracerouteResultsRoundTripTimeOverTimeValue]

</summary>

avg\_ms: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

timestamp: str

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20timestamp">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults%20%3E%20(property)%20roundTripTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResults">Link to this property</a>

<details>

<summary>

traceroute\_results\_by\_colo: Optional\[List\[TestTracerouteResultsByColo]]

</summary>

colo: str

Cloudflare colo

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20colo">Link to this property</a>

<details>

<summary>

round\_trip\_time: TestTracerouteResultsByColoRoundTripTime

</summary>

<details>

<summary>

history: List\[TestTracerouteResultsByColoRoundTripTimeHistory]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20timePeriod">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

delta\_pct: Optional\[float]

formatfloat

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history%20%3E%20(items)%20%3E%20(property)%20deltaPct">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20history">Link to this property</a>

avg\_ms: Optional\[int]

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20avgMs">Link to this property</a>

<details>

<summary>

over\_time: Optional\[TestTracerouteResultsByColoRoundTripTimeOverTime]

</summary>

<details>

<summary>

time\_period: <a href="https://developers.cloudflare.com/api/python/resources/zero_trust#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)">AggregateTimePeriod</a>

</summary>

<details>

<summary>

units: Literal\["hours", "days", "testRuns"]

</summary>

One of the following:

"hours"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%200">Link to this property</a>

"days"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%201">Link to this property</a>

"testRuns"

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20units">Link to this property</a>

value: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod%20%2B%20(resource)%20zero_trust.dex.tests%20%3E%20(model)%20aggregate_time_period%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20timePeriod">Link to this property</a>

<details>

<summary>

values: List\[TestTracerouteResultsByColoRoundTripTimeOverTimeValue]

</summary>

avg\_ms: int

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20avgMs">Link to this property</a>

timestamp: str

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values%20%3E%20(items)%20%3E%20(property)%20timestamp">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime%20%3E%20(property)%20values">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime%20%3E%20(property)%20overTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo%20%3E%20(items)%20%3E%20(property)%20roundTripTime">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20tracerouteResultsByColo">Link to this property</a>

</details>

<a href="#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)%20%3E%20(property)%20tests">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.dex.tests%20%3E%20(model)%20tests%20%3E%20(schema)>)

### List DEX test analytics

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.dex.tests.list(
    account_id="01a7362d577a6c3019a474fd6f485823",
)
page = page.result.items[0]
print(page.overview_metrics)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "overviewMetrics": {
      "testsTotal": 0,
      "avgHttpAvailabilityPct": 0,
      "avgTracerouteAvailabilityPct": 0
    },
    "tests": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "created",
        "description": "description",
        "enabled": true,
        "host": "host",
        "interval": "interval",
        "kind": "http",
        "name": "name",
        "updated": "updated",
        "httpResults": {
          "resourceFetchTime": {
            "history": [
              {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "avgMs": 0,
                "deltaPct": 0
              }
            ],
            "avgMs": 0,
            "overTime": {
              "timePeriod": {
                "units": "hours",
                "value": 0
              },
              "values": [
                {
                  "avgMs": 0,
                  "timestamp": "timestamp"
                }
              ]
            }
          }
        },
        "httpResultsByColo": [
          {
            "colo": "SJC",
            "resourceFetchTime": {
              "history": [
                {
                  "timePeriod": {
                    "units": "hours",
                    "value": 0
                  },
                  "avgMs": 0,
                  "deltaPct": 0
                }
              ],
              "avgMs": 0,
              "overTime": {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "values": [
                  {
                    "avgMs": 0,
                    "timestamp": "timestamp"
                  }
                ]
              }
            }
          }
        ],
        "method": "method",
        "target_policies": [
          {
            "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
            "default": true,
            "name": "name"
          }
        ],
        "targeted": true,
        "tracerouteResults": {
          "roundTripTime": {
            "history": [
              {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "avgMs": 0,
                "deltaPct": 0
              }
            ],
            "avgMs": 0,
            "overTime": {
              "timePeriod": {
                "units": "hours",
                "value": 0
              },
              "values": [
                {
                  "avgMs": 0,
                  "timestamp": "timestamp"
                }
              ]
            }
          }
        },
        "tracerouteResultsByColo": [
          {
            "colo": "SJC",
            "roundTripTime": {
              "history": [
                {
                  "timePeriod": {
                    "units": "hours",
                    "value": 0
                  },
                  "avgMs": 0,
                  "deltaPct": 0
                }
              ],
              "avgMs": 0,
              "overTime": {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "values": [
                  {
                    "avgMs": 0,
                    "timestamp": "timestamp"
                  }
                ]
              }
            }
          }
        ]
      }
    ]
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "overviewMetrics": {
      "testsTotal": 0,
      "avgHttpAvailabilityPct": 0,
      "avgTracerouteAvailabilityPct": 0
    },
    "tests": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "created",
        "description": "description",
        "enabled": true,
        "host": "host",
        "interval": "interval",
        "kind": "http",
        "name": "name",
        "updated": "updated",
        "httpResults": {
          "resourceFetchTime": {
            "history": [
              {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "avgMs": 0,
                "deltaPct": 0
              }
            ],
            "avgMs": 0,
            "overTime": {
              "timePeriod": {
                "units": "hours",
                "value": 0
              },
              "values": [
                {
                  "avgMs": 0,
                  "timestamp": "timestamp"
                }
              ]
            }
          }
        },
        "httpResultsByColo": [
          {
            "colo": "SJC",
            "resourceFetchTime": {
              "history": [
                {
                  "timePeriod": {
                    "units": "hours",
                    "value": 0
                  },
                  "avgMs": 0,
                  "deltaPct": 0
                }
              ],
              "avgMs": 0,
              "overTime": {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "values": [
                  {
                    "avgMs": 0,
                    "timestamp": "timestamp"
                  }
                ]
              }
            }
          }
        ],
        "method": "method",
        "target_policies": [
          {
            "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
            "default": true,
            "name": "name"
          }
        ],
        "targeted": true,
        "tracerouteResults": {
          "roundTripTime": {
            "history": [
              {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "avgMs": 0,
                "deltaPct": 0
              }
            ],
            "avgMs": 0,
            "overTime": {
              "timePeriod": {
                "units": "hours",
                "value": 0
              },
              "values": [
                {
                  "avgMs": 0,
                  "timestamp": "timestamp"
                }
              ]
            }
          }
        },
        "tracerouteResultsByColo": [
          {
            "colo": "SJC",
            "roundTripTime": {
              "history": [
                {
                  "timePeriod": {
                    "units": "hours",
                    "value": 0
                  },
                  "avgMs": 0,
                  "deltaPct": 0
                }
              ],
              "avgMs": 0,
              "overTime": {
                "timePeriod": {
                  "units": "hours",
                  "value": 0
                },
                "values": [
                  {
                    "avgMs": 0,
                    "timestamp": "timestamp"
                  }
                ]
              }
            }
          }
        ]
      }
    ]
  }
}
```